NistMCT (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.tool.NistMCT,NistMCT class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.tool
Class NistMCT

    java.lang.Object
      |
      +--gnu.crypto.tool.NistMCT

public class NistMCT
extends java.lang.Object

For a designated symmetric block cipher algorithm, this command generates and exercises Monte Carlo Tests data for both Encryption and Decryption in Electronic Codebook (ECB) and Cipher Block Chaining (CBC) modes.

NistMCT's output file format is in conformance with the layout described in Section 4 of NIST's document "Description of Known Answer Tests and Monte Carlo Tests for Advanced Encryption Standard (AES) Candidate Algorithm Submissions" dated January 7, 1998.

References:

1. Known Answer Test (KAT) and Monte Carlo Test (MCT) Information

Method Summary
`static void` | `main(java.lang.String[] args)` The main entry point for the tool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)

  The main entry point for the tool.

       Usage:
          gnu.crypto.tool.NistKat (options) cipher [key-size]

       Where:
          cipher
             The canonical name of the cipher algorithm.
          key-size
             The key-size in bits to use for the algorithm.  If unspecified,
             then the three NIST key-sizes 128, 192 and 256 shall be used.

       Options:
          -E | -C | -A
             Generate Monte Carlo Test (MCT) data for ECB mode only, CBC mode
             only, or both.  For backward compatibility, if this option is
             unspecified, then -A (both modes) is activated.
          -e | -d | -a
             Generate Monte Carlo Test (MCT) data for a designated cipher in
             the selected mode(s), for Encryption only, Decryption only, or
             both.  For backward compatibility, if this option is unspecified,
             then -a (both states) is activated.
          -h
             Print this help page.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.